# Charts Kendo UI

This module extends the functionality of the Charts module by integrating
the Kendo UI library. Kendo UI is a powerful jQuery-based JavaScript library.
It provides a wide range of UI components and features that can enhance the
user experience of your Drupal site. You must buy a license to use Kendo UI,
though a 30-day trial is available.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/charts_kendo_ui).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/charts_kendo_ui).


## Table of contents

- Requirements
- Recommended modules
- Installation
- Configuration
- Maintainers


## Requirements

This module requires the following modules:

- [Charts](https://www.drupal.org/project/charts)


## Installation

Install as you would normally install a contributed Drupal module. For further
information, see [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

To install the Kendo UI library, create a directory
`/libraries/kendo-ui` in your web directory (or root if you are not using the
web directory) and add the following files:
- `kendo.all.min.js` (copy from https://kendo.cdn.telerik.com/2025.1.227/js/kendo.all.min.js)
- `default-main.css` (copy from https://kendo.cdn.telerik.com/themes/10.2.0/default/default-main.css)
- `telerik-license.js` (paste your license in this file)

Clear you caches after adding these files. You can do this by going to
`/admin/config/development/performance` and clicking the "Clear all caches".

## Configuration

Please refer to the Charts module documentation for information on how to
configure the Charts module. The Kendo UI library is automatically
integrated into the Charts module, so you do not need to configure anything
specific to the Kendo UI library.


## Maintainers

- Daniel Cothran - [andileco](https://www.drupal.org/u/andileco)
